### Constructor

# Gtk.SignalAction.new

#### Declaration [src]

    GtkShortcutAction*
    gtk_signal_action_new (
      const char* signal_name
    )

#### Description [src]

Creates an action that when activated, emits the given action signal on the provided widget.

It will also unpack the args into arguments passed to the signal.

#### Parameters

`signal_name` | `const char*`
| name of the signal to emit
| Ownership is not transferred to the callee
| The string is a NUL terminated UTF-8 string

#### Return value

Returns: `GtkSignalAction`
a new `GtkShortcutAction`
Ownership of the data is transferred to the caller